C50_1=xlsread('C50', 'B2:G15');
C50_2=xlsread('C50', 'B17:G30');
C50=(C50_1+C50_2)/2;
x=[0.5:0.5:12];
mea=[0.5 1 1.5 2 2.5 3 4 5 6 7 8 9 11.5 12];


%Kjrer lineariseringsskript
z=C50;
linmat
C50_lin=y;

figure
yyaxis left
xlabel('Avstand [m]')

plot(x,La_lin(1:24,1))
xticks([1:1:12])
yticks([56:2:76])

xlim([0 12.5])
ylim([56 76])
ylabel('Lydtrykkniv [dB]')

yyaxis right
plot(x,C50_lin(1:24,1))
ylim([0 20])



hold on
plot(mea,0,'ko')
hold off
grid on

legend('Bakgrunnsstyniv','C_{50}')
ylabel('C_{50} [dB]')
set(gcf,'color','w')
export_fig 125 -pdf


figure
yyaxis left
xlabel('Avstand [m]')

plot(x,La_lin(1:24,2))
xticks([1:1:12])
yticks([56:2:76])

xlim([0 12.5])
ylim([56 76])
ylabel('Lydtrykkniv [dB]')

yyaxis right
plot(x,C50_lin(1:24,2))
ylim([0 20])

hold on
plot(mea,0,'ko')
hold off
grid on

legend('Bakgrunnsstyniv','C_{50}')
ylabel('C_{50} [dB]')
set(gcf,'color','w')
export_fig 250 -pdf


figure
yyaxis left
xlabel('Avstand [m]')

plot(x,La_lin(1:24,3))
xticks([1:1:12])
yticks([56:2:76])

xlim([0 12.5])
ylim([56 76])
ylabel('Lydtrykkniv [dB]')

yyaxis right
plot(x,C50_lin(1:24,3))
ylim([0 20])


hold on
plot(mea,0,'ko')
hold off
grid on

legend('Bakgrunnsstyniv','C_{50}')
ylabel('C_{50} [dB]')
set(gcf,'color','w')
export_fig 500 -pdf

figure
yyaxis left
xlabel('Avstand [m]')

plot(x,La_lin(1:24,4))
xticks([1:1:12])
yticks([56:2:76])

xlim([0 12.5])
ylim([56 76])
ylabel('Lydtrykkniv [dB]')

yyaxis right
plot(x,C50_lin(1:24,4))
ylim([0 20])


hold on
plot(mea,0,'ko')
hold off
grid on

legend('Bakgrunnsstyniv','C_{50}')
ylabel('C_{50} [dB]')
set(gcf,'color','w')
export_fig 1k -pdf

figure
yyaxis left
xlabel('Avstand [m]')

plot(x,La_lin(1:24,5))
xticks([1:1:12])
yticks([56:2:76])

xlim([0 12.5])
ylim([56 76])
ylabel('Lydtrykkniv [dB]')

yyaxis right
plot(x,C50_lin(1:24,5))
ylim([0 20])


hold on
plot(mea,0,'ko')
hold off
grid on

legend('Bakgrunnsstyniv','C_{50}')
ylabel('C_{50} [dB]')
set(gcf,'color','w')
export_fig 2k -pdf

figure
yyaxis left
xlabel('Avstand [m]')

plot(x,La_lin(1:24,6))
xticks([1:1:12])
yticks([56:2:76])

xlim([0 12.5])
ylim([56 76])
ylabel('Lydtrykkniv [dB]')

yyaxis right
plot(x,C50_lin(1:24,6))
ylim([0 20])


hold on
plot(mea,0,'ko')
hold off
grid on

legend('Bakgrunnsstyniv','C_{50}')
ylabel('C_{50} [dB]')
set(gcf,'color','w')
export_fig 4k -pdf


figure
plot(x,C50_lin)
hold on
plot(mea,0,'ko')
hold off


xlabel('Avstand [m]')
ylabel('C_{50} [dB]')
legend('125 Hz', '250 Hz', '500 Hz', '1 kHz', '2 kHz', '4 kHz')
set(gca,'xtick',1:length(x))
xticks([1:1:12])
xlim([0 12.5])
yticks([0:2:22])
set(gcf,'color','w')
ylim([0 23])
grid on
export_fig C50m -pdf

C50_3=xlsread('C50','J4:O12');
C50_4=xlsread('C50','J19:O27');


z=C50_3;
linmat
C50_3=y;

mea=[1.5 2 2.5 3 4 5 6 7 8];

figure
plot(x,C50_3)
hold on
plot(mea,0,'ko')
hold off

xlabel('Avstand [m]')
ylabel('C_{50} [dB]')
legend('125 Hz', '250 Hz', '500 Hz', '1 kHz', '2 kHz', '4 kHz')

xticks([1.5:0.5:8])
xlim([1.5 8])
yticks([0:2:26])
ylim([0 26])

grid on
set(gcf,'color','w')
export_fig C50_mot -pdf

z=C50_4;
linmat
C50_4=y;


figure
plot(C50_4)
hold on
plot(mea,0,'ko')
hold off
legend('125 Hz', '250 Hz', '500 Hz', '1 kHz', '2 kHz', '4 kHz')

xticks([1.5:0.5:8])
xlim([1.5 8])
yticks([0:2:26])
ylim([0 26])


grid on
xlabel('Avstand [m]')
ylabel('C_{50} [dB]')
set(gcf,'color','w')
export_fig C50_fra -pdf