okt_vertshuset=xlsread('vertshuset','B3:B23');
T_vertshuset=mean(reshape(okt_vertshuset,3,[]));

V=280;
RT=T_vertshuset(2:7);
r=1;
t=0.05;

C_B=zeros(1,6);
for i=1:6
    C_B(i)=10*log10((V*exp((0.04*r+13.82*t)/RT(i))/(312*RT(i)*r^2))+exp(13.82*t/RT(i))-1);
end

disp(C_B);



RT=0.7;
Q=[1:0.1:20];


for i=1:length(Q)
    C_Q(i)=10*log10((Q(i)*V*exp((0.04*r+13.82*t)/RT)/(312*RT*r^2))+exp(13.82*t/RT)-1);
end


figure
plot(Q, C_Q)
grid on
set(gcf,'color','w');
xlabel('Direktivitetsfaktor, Q')
ylabel('C_{50} [dB]')
export_fig direktivitetsfaktor -pdf
    